---
title: Internet Re-Invented
sidebar_position: 2
---

#  The Internet’s Natural Progression

The Internet was always meant to be a peer-to-peer infrastructure.   

As large companies became profit and data centric, centralization quickly became the norm.

***We have a vision of the Internet which is much more close to how the Internet was intended to be.***

## Requirements For A New Internet

- Compute, Storage, Network need to be
  - Local
  - Sovereign
  - Private
  - More Secure
- Storage needs to be
  - More reliable with less overhead
  - Capable to be global and be used as Content Delivery Network (CDN)
  - Fast enough for the use case at hand
- Network needs to be
  - Working no matter what happens with existing network, route around issues
  - Local sensitive (chose shortest path)
  - End2End Encrypted
  - Capable to really know where information goes to or comes from (authenticity)

## Internet/Cloud Architecture

!!wiki.include page:'internet_archtecture0.md'

## Base Layer for a New Cloud / Internet

![](../img/base_layer.png)

We need a new cloud engine which supports the evolution of the Internet


## Natural Progression

![alt text](../img/natural_progression.png)

We envision a world where every person is at the center of their digital life. In this new Internet, each person has their own digital avatar, which we call a ***Hero***.

The technical backbone enabling the Hero is a component known as the 3Bot. This server, owned and managed by you, operates on our decentralized cloud infrastructure.

Communication between 3Bots is optimized to use the shortest possible paths, ensuring that all interactions are end-to-end encrypted for maximum security and privacy.


## 3Bot Architecture

![alt text](../img/arch_minimal.png)

The underlying network of capacity is the decentralized cloud which is like the basic IT energy which makes all of this possible.

The cecentralized cloud is the result of more than 20 years of development and it is now active on more than 2000 nodes.

