---
title: Decentralized Cloud Technology
sidebar_position: 1
---


# Decentralized Cloud Technology Features

We present the highlights of our decentralized cloud technology that solves many of the current IT and cloud challenges.

![](../img/cloud_features.png)

## Zero OS as a generator for Compute, Storage, Network capacity

### Compute (uses CU)

- ZKube
    - kubernetes deployment
- Zero VM
    - the container or virtual machine running inside ZOS
- CoreX
    - process manager (optional), can be used to get remote access to your zero_vm

A 3Node is a Zero-OS enabled computer which is hosted with any of the Cloud Providers.

### There are 4 storage mechanisms which can be used to store your data:

- ZOS FS
    - is our dedupe unique filesystem, replaces docker images. 
- ZOS Mount
    - is a mounted disk location on SSD, this can be used as faster storage location. 
- Quantum Safe Filesystem
    - this is a super unique storage system, data can never be lost or corrupted. Please be reminded that this storage layer is only meant to be used for secondary storage applications.
- ZOS Disk
    - a virtual disk technology, only for TFTech OEM partners.

### There are 4 ways how networks can be connected to a Z-Machine.

- Mycelium = Planetary network
    - is a planetary scalable network, we have clients for windows, osx, android and iphone.
- ZOS NIC
    - connection to a public ipaddress
- WEB GW
    - web gateway, a secure way to allow internet traffic reach your secure Z-Machine.