---
sidebar_position: 1
description: The computer layer of the grid
---

# Compute Layer

|                | Compute Layer                                                        | Default                                                          |
|----------------|--------------------------------------------------------------------------------|------------------------------------------------------------------|
| Management     | Full P2P, done by 3bot Agents, blockchain IT contract                          | Centralized e.g. Kubernetes, ...                                 |
| OS Deploy      | Stateless, there are no files copied on local HDD/SSD.                         | Deploy image or execute installer on a physical server           |
| OS Upgrade     | Seamless, rolling upgrades, 100% modular and pre-deterministic, decentralized  | Difficult and error prone + vulnerable from security perspective |
| Tamperproof    | If file gets modified Zero-OS will not boot the file.                          | No, man in middle is possible.                                   |
| Scalability    | To the world                                                                   | Expensive and depending on lots of capital                       |
| Security       | A lot of effort went into the capability to deploy for high security usecases. | Very hard to deploy securely, and expensive                      |
| Green          | For certain workloads we can safe upto 10x on power usage                      | Super power hungry.                                              |
| Liquid Cooling | Easy to do because of autonomous behavior no need to replace HW.               | Hard to do, how to do maintenance.                               |
| Sovereign      | Yes                                                                            | No                                                               |
| Complexity     | Anyone can do it, we made it to allow everyone to be a provider.               | Real experts needed.                                             |

> We do not compare our system with those that claim to be full cloud solutions but merely deploy containers using other management systems and optionally connect to a blockchain for billing purposes. Nor do we compare with marketplace systems that simply act as frontends for other systems. We believe these systems, while visually impressive, lack substantial technological foundations and cannot serve as a fundamental base layer for others.

## Zero-OS

![](../../img/zos00.png)

ThreeFold has developed its own operating system, Zero-OS, which is based on the Linux Kernel. The purpose of Zero-OS is to strip away the unnecessary complexities commonly found in contemporary operating systems.

**Key Features of Zero-OS:**

Zero-OS is designed with minimalism in mind, supporting only a few fundamental primitives that handle essential low-level functions:

1. **Storage Capacity**
2. **Compute Capacity**
3. **Network Capacity**

**Security and Simplicity:**

Zero-OS provides a Autonomous Decentralized Cloud. 

This not only blocks hacker access but also eliminates human error, enhancing both security and reliability.

### Deployment by IT contract

Secure Reproducable Verified Authenticated 

![](../../img/itcontract.png)

The purpose of the smart contract for IT is to create and enable autonomous IT. Autonomous self-driving IT is possible.

Once a smart contract for IT is created, it will be registered in the TFChain Blockchain.

![](../../img/itcontract2.png)

## Compatible with the world

![](../../img/compatible.png)


## 3Bots: The Autonomous Layer

![](../../img/autonous3bots.png)


